Description
New API endpoints for AAMVA VINData Reports allow users to generate or access reports. The Generate Report endpoint creates a new report for a 17-character VIN. The Access Report endpoint retrieves existing reports within 90 days.
GET /v2/vindata/generate-report/aamva/{vin}GET /v2/vindata/access-report/aamva/{vin}Documentation
Example Requests
https://mc-api.marketcheck.com/v2/vindata/generate-report/aamva/{vin}?api_key={api_key}
https://mc-api.marketcheck.com/v2/vindata/access-report/aamva/{vin}?api_key={api_key}
requested-from-version: The API version requested by the client via x-version or x_version header. If not provided, it defaults to "default".served-by-version: The actual API version that processed the request.auto-upgraded-version: Indicates if the request was automatically upgraded to a newer API version. If the client requested an older version (e.g. V4.0.0) and was routed to a newer one (V4.1.0), this is set to true.requested-from-version: V4.0.0
served-by-version: V4.1.0
auto-upgraded-version: true
Description
We have fixed an issue where searches for non-numeric zip codes, such as in CA Inventory Search and UK RV Search, were not returning results.
/v2/search/car/active?country=CA/v2/search/car/recents?country=CA/v2/search/rv/uk/activeExample Requests
https://mc-api.marketcheck.com/v2/search/car/active?api_key={api_key}&country=CA&zip=J1N 1G8
https://mc-api.marketcheck.com/v2/search/rv/uk/active?api_key={api_key}&zip=LA12 9QE
API Release - v4.0.0
New incentive endpoints, a Dealerships endpoint for the US and UK, the mc_dealership object in listing responses, UK listing redirection parameters, and NeoVIN option build rules.
API Release - v4.2.0
CarsXE plate decoder integration, case-insensitive build field search, deprecation response headers, UK vehicle_type and wheelbase_category search, UK FMV deprecation, and the old gateway sunset.